> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# historicalOrders

> Native Hyperliquid `/info` operation. Returns the user's historical orders.



## OpenAPI

````yaml /reference/api-json/hyperliquid-info-api-json.json post /v1/hyperliquid/info#56
openapi: 3.0.0
info:
  title: Uniblock Hyperliquid Info API
  description: >-
    Per-operation request/response docs for the Raw Hyperliquid Info dispatch
    endpoint. Each Hyperliquid Info `type` is a synthetic path through the
    single `POST /v1/hyperliquid/info` unified route.
  version: '1.0'
servers:
  - url: https://api.uniblock.dev/uni
    description: Gateway
security:
  - ApiKeyAuth: []
tags:
  - name: Hyperliquid
paths:
  /v1/hyperliquid/info#56:
    post:
      tags:
        - Hyperliquid
      summary: historicalOrders
      description: >-
        Native Hyperliquid `/info` operation. Returns the user's historical
        orders.
      operationId: historicalOrders_HyperliquidInfo
      parameters:
        - name: chainId
          required: true
          in: query
          description: Unique identifier for a blockchain network.
          schema:
            type: number
            enum:
              - 999
              - 998
            default: 999
            example: 999
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            type: string
            enum:
              - Dwellir
              - Chainstack
              - Covalent
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HyperliquidInfo_historicalOrders_Request'
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HyperliquidInfo_historicalOrders_Response'
components:
  schemas:
    HyperliquidInfo_historicalOrders_Request:
      type: object
      required:
        - type
        - user
      properties:
        type:
          type: string
          enum:
            - historicalOrders
          default: historicalOrders
          example: historicalOrders
        user:
          type: string
          description: The account address to query (0x-prefixed).
          example: '0x000000000000000000000000000000000000dEaD'
      example:
        type: historicalOrders
        user: '0x000000000000000000000000000000000000dEaD'
    HyperliquidInfo_historicalOrders_Response:
      type: object
      properties: {}
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (Optional)

````